#
# spec file for package esound (Version 0.2.22)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         esound
Copyright:    GPL
Group:        System Environment/Daemons
Autoreqprov:  on
Summary:      A sounddaemon for Enlightenment and GNOME
Version:      0.2.22
Release:      140
URL:          http://www.tux.org/~ricdude/EsounD.html
Source:       ftp://ftp.gnome.org/pub/GNOME/stable/sources//esound/esound-%{version}.tar.bz2
Patch:        esound-0.2.22-ia64.patch
BuildRoot:    /var/tmp/esound-root

%description
A multiplexing and cahing sounddaemon. It can utilize either ALSA or
OSS for soundoutput. Many projects, including Enlightenment and GNOME
use esound to play/record their sounds.

Authors:
--------
    Carsten Haitzler <raster@redhat.com>
    Drazen Kacar <dave@srce.hr>
    Elliot Lee <sopwith@redhat.com>
    John Ellis <johne@bellatlantic.net>
    Kjartan Maraas <kmaraas@online.no>
    Raja R Harinath <harinath@cs.umn.edu>
    Richard Boulton <rjb37@cam.ac.uk>
    Russell Steinthal <rms39@columbia.edu>
    Scott Heavner <sdh@po.cwru.edu>
    Timur Bakeyev <mc@bat.ru>
    Yo Ric Dude <ericmit@ix.netcom.com>

SuSE series: snd

%package devel
Summary:      Esound development pacakage
Group:         Development/Libraries
Requires: esound

%description devel
Esound development pacakage

Authors:
--------
    Carsten Haitzler <raster@redhat.com>
    Drazen Kacar <dave@srce.hr>
    Elliot Lee <sopwith@redhat.com>
    John Ellis <johne@bellatlantic.net>
    Kjartan Maraas <kmaraas@online.no>
    Raja R Harinath <harinath@cs.umn.edu>
    Richard Boulton <rjb37@cam.ac.uk>
    Russell Steinthal <rms39@columbia.edu>
    Scott Heavner <sdh@po.cwru.edu>
    Timur Bakeyev <mc@bat.ru>
    Yo Ric Dude <ericmit@ix.netcom.com>

SuSE series: snd

%prep
%setup -q
%patch

%build
%{?suse_update_config:%{suse_update_config -f}}
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --prefix=%{_prefix} --sysconfdir=/etc 
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README AUTHORS COPYING COPYING.LIB INSTALL NEWS TODO TIPS
%doc docs/html
%config /etc/esd.conf
%{_prefix}/lib/lib*.so.*
%{_prefix}/bin/esd
%{_prefix}/bin/esdcat
%{_prefix}/bin/esdctl
%{_prefix}/bin/esddsp
%{_prefix}/bin/esdfilt
%{_prefix}/bin/esdloop
%{_prefix}/bin/esdmon
%{_prefix}/bin/esdplay
%{_prefix}/bin/esdrec
%{_prefix}/bin/esdsample

%files devel
%defattr(-, root, root)
%{_prefix}/bin/esd-config
%{_prefix}/include/*
%{_prefix}/share/aclocal/*
%{_prefix}/lib/lib*.*a
%{_prefix}/lib/lib*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n esound
* Fri May 25 2001 - nadvornik@suse.cz
- fixed include files for ia64
* Mon Dec 25 2000 - egger@suse.de
- Cleaned up specfile.
- Changed group of development package.
- Recompressed sources with bzip2.
* Sat Dec 09 2000 - egger@suse.de
- Updated to version 0.2.22.
* Mon Nov 06 2000 - tiwai@suse.de
- Split esound-devel package.
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Fri Sep 29 2000 - hhetter@suse.de
- added security patch
* Wed Sep 06 2000 - egger@suse.de
- Updated to version 0.2.19.
* Fri Sep 01 2000 - tiwai@suse.de
- fixed the bug of 0.2.18 (playing too short without synchronized).
* Fri May 26 2000 - ke@suse.de
- update to version 0.2.18.
- add html docs.
* Thu May 11 2000 - ke@suse.de
- Improve files list to catch missing shared libs (don't trust wildcards
  too much; you'll never know).
* Fri Apr 07 2000 - bk@suse.de
- added suse update config macro
* Thu Mar 30 2000 - cihlar@suse.cz
- update to version 2.17
- clean up spec file
* Tue Dec 14 1999 - ro@suse.de
- fixed install (broke with BuildRoot)
* Fri Nov 05 1999 - ke@suse.de
- Update to version 0.2.16 (security fixes and more).
- Use BuildRoot.
- Use RPM_OPT_FLAGS (instead of RPM_OPT_FLAG ...)
- Correct Copyright.
- Add "Group:" entry.
* Mon Oct 25 1999 - kukuk@suse.de
- Update to version 0.2.15
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue May 04 1999 - mb@suse.de
- updated to new version 0.2.8
* Fri Feb 19 1999 - mb@suse.de
- fixed lib problems
* Tue Feb 16 1999 - mb@suse.de
- new version 0.2.7 needed for enlightenment, gnome and emusic
* Sat Jul 18 1998 - mb@suse.de
- first inital version 0.2 of the esound (Enlightenment sound daemon)
